Request PIN reprint
curl --request POST \
--url https://apigwuat.corpay.com/cards/{cardIdentifier}/reprintPIN \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cardAddress": {
"addressLines": "Unit 10, Industrial Estate Oxford Road",
"zipCode": "OX1 3PA",
"city": "Oxford",
"region": "Oxfordshire",
"country": "United Kingdom",
"countryCode": "GB"
}
}
'import requests
url = "https://apigwuat.corpay.com/cards/{cardIdentifier}/reprintPIN"
payload = { "cardAddress": {
"addressLines": "Unit 10, Industrial Estate Oxford Road",
"zipCode": "OX1 3PA",
"city": "Oxford",
"region": "Oxfordshire",
"country": "United Kingdom",
"countryCode": "GB"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cardAddress: {
addressLines: 'Unit 10, Industrial Estate Oxford Road',
zipCode: 'OX1 3PA',
city: 'Oxford',
region: 'Oxfordshire',
country: 'United Kingdom',
countryCode: 'GB'
}
})
};
fetch('https://apigwuat.corpay.com/cards/{cardIdentifier}/reprintPIN', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/schemas/Status/example"
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Card
Request PIN reprint
Request a PIN letter reprint to the supplied card delivery address.
POST
/
cards
/
{cardIdentifier}
/
reprintPIN
Request PIN reprint
Performance expectations:
p50: 1000 ms, p99: 1500 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 1000 ms, p99: 1500 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'
Path Parameters
Body
application/json
If card address is provided then all the fields inside the address object needs to be provided.
Show child attributes
Show child attributes
Response
Operation status
The response is of type object.
⌘I